Class UmlBuiltin

Declaration :

- C++ : struct UmlBuiltin
- Java : final class UmlBuiltin

Internal class used to memorize the types defined through the first 'generation settings' tab

Artifact : UmlBuiltin

Attribut uml

Declaration :

- C++ : public: QCString uml
- Java : public String uml

Attribut cpp

Declaration :

- C++ : public: QCString cpp
- Java : public String cpp

Attribut cpp_in

Declaration :

- C++ : public: QCString cpp_in
- Java : public String cpp_in

Attribut cpp_out

Declaration :

- C++ : public: QCString cpp_out
- Java : public String cpp_out

Attribut cpp_inout

Declaration :

- C++ : public: QCString cpp_inout
- Java : public String cpp_inout

Attribut cpp_return

Declaration :

- C++ : public: QCString cpp_return
- Java : public String cpp_return

Attribut java

Declaration :

- C++ : public: QCString java
- Java : public String java

Attribut idl

Declaration :

- C++ : public: QCString idl
- Java : public String idl